package com.casic.dcms.model;

import java.util.List;

public class LayerConfigBean {

    private String title;
    private String baseUrl;
    private boolean sameWindow;
    private String city;
    private String mapUrl;
    private String labelUrl;
    private String satelliteUrl;
    private int zoom;
    private List<Double> center;
    private List<PartsLayerBean> partsLayer;
    private List<LayersBean> layers;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBaseUrl() {
        return baseUrl;
    }

    public void setBaseUrl(String baseUrl) {
        this.baseUrl = baseUrl;
    }

    public boolean isSameWindow() {
        return sameWindow;
    }

    public void setSameWindow(boolean sameWindow) {
        this.sameWindow = sameWindow;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getMapUrl() {
        return mapUrl;
    }

    public void setMapUrl(String mapUrl) {
        this.mapUrl = mapUrl;
    }

    public String getLabelUrl() {
        return labelUrl;
    }

    public void setLabelUrl(String labelUrl) {
        this.labelUrl = labelUrl;
    }

    public String getSatelliteUrl() {
        return satelliteUrl;
    }

    public void setSatelliteUrl(String satelliteUrl) {
        this.satelliteUrl = satelliteUrl;
    }

    public int getZoom() {
        return zoom;
    }

    public void setZoom(int zoom) {
        this.zoom = zoom;
    }

    public List<Double> getCenter() {
        return center;
    }

    public void setCenter(List<Double> center) {
        this.center = center;
    }

    public List<PartsLayerBean> getPartsLayer() {
        return partsLayer;
    }

    public void setPartsLayer(List<PartsLayerBean> partsLayer) {
        this.partsLayer = partsLayer;
    }

    public List<LayersBean> getLayers() {
        return layers;
    }

    public void setLayers(List<LayersBean> layers) {
        this.layers = layers;
    }

    public static class PartsLayerBean {

        private String code;
        private String name;
        private List<ChildrenBean> children;

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public List<ChildrenBean> getChildren() {
            return children;
        }

        public void setChildren(List<ChildrenBean> children) {
            this.children = children;
        }

        public static class ChildrenBean {

            private String code;
            private String name;
            private int layer;

            public String getCode() {
                return code;
            }

            public void setCode(String code) {
                this.code = code;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public int getLayer() {
                return layer;
            }

            public void setLayer(int layer) {
                this.layer = layer;
            }
        }
    }

    public static class LayersBean {

        private int id;
        private String name;
        private String type;
        private int minZoom;
        private List<?> domain;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public int getMinZoom() {
            return minZoom;
        }

        public void setMinZoom(int minZoom) {
            this.minZoom = minZoom;
        }

        public List<?> getDomain() {
            return domain;
        }

        public void setDomain(List<?> domain) {
            this.domain = domain;
        }
    }
}
